RagTime5TextInternal::Block2ListParser Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
RagTime5TextInternal::Block2ListParser Struct Reference

Internal: the helper to read a block 2 list. More...

Inheritance diagram for RagTime5TextInternal::Block2ListParser:

## Public Member Functions
| Block2ListParser ()
| constructor More...
virtual | ~Block2ListParser ()
| destructor More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
std::vector< Block > | m_blockList
| the list of block More...

## Private Member Functions
| Block2ListParser (Block2ListParser &orig)
| copy constructor, not implemented More...
Block2ListParser & | operator= (Block2ListParser &orig)
| copy operator, not implemented More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a block 2 list.

## Constructor & Destructor Documentation

## ◆ Block2ListParser() [1/2]

RagTime5TextInternal::Block2ListParser::Block2ListParser | ( |  | ) |
| inline

constructor

## ◆ ~Block2ListParser()

RagTime5TextInternal::Block2ListParser::~Block2ListParser | ( |  | ) |
| virtual

destructor

## ◆ Block2ListParser() [2/2]

RagTime5TextInternal::Block2ListParser::Block2ListParser | ( | Block2ListParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

## ◆ operator=()

Block2ListParser& RagTime5TextInternal::Block2ListParser::operator= | ( | Block2ListParser & | orig | ) |
| private

copy operator, not implemented

## ◆ parseData()

bool RagTime5TextInternal::Block2ListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

## ◆ m_blockList

std::vector<Block> RagTime5TextInternal::Block2ListParser::m_blockList

the list of block

Referenced by RagTime5Text::readTextCluster().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx